Bug 151082 - The Main menu icon is incomplete
The Main menu icon is incomplete
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2005-03-14 13:47 EST by Nathan G. Grennan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-20 03:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2005-03-14 13:47:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050309 Galeon/1.3.19

Description of problem:
I have found the Main Menu icon lacks options found in Menu Bar. The biggest examples are Preferences and System Settings. This forces me to use a Menu Bar instead of a Main Menu. The Menu Bar is bloated with words instead of icons, which on my laptop with a 1024x768 display forces me to two bars, the default. I prefer to only have one bar at the bottom that hides. Hiding a bar at the top doesn't work well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right click on panel
2. Select Add to Panel
3. Select Main Menu
4. Click Add
5. Click on the Main Menu

Actual Results:  Lack of Preferences and System Settings

Expected Results:  Preferences and System Settings in the list

Additional info:
Comment 1 Nathan G. Grennan 2005-03-15 21:14:59 EST
redhat-menus-3.7.1-6 from rawhide
Comment 2 Nathan G. Grennan 2005-03-15 21:17:37 EST
I found by reverting /etc/xdg/menus/applications.menu to the version
from fc3 that I got the Main Menu icon back to 90% of the way I wanted
it, aka Preferences and System Settings back.

The other 10% is having the Applications not be a submenu, but as
directly part of the main menu.

redhat-menus-3.7.1-1 is the version from fc3.

Note You need to log in before you can comment on or make changes to this bug.